<?php

declare(strict_types=1);

namespace App\Framework\Filesystem\Exceptions;

use App\Framework\Exception\FrameworkException;

final class FileDeleteException extends FrameworkException
{
    public function __construct(
        string $path,
        int $code = 0,
        ?\Throwable $previous = null
    ) {
        parent::__construct(
            message: "Fehler beim Löschen der Datei '$path'.",
            code: $code,
            previous: $previous,
            context: ['path' => $path]
        );
    }
}
